Множественные уязвимости в Kayako SupportSuite

Дата публикации:
12.08.2008
Всего просмотров:
1052
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-3700
CVE-2008-3701
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Kayako SupportSuite 3.x
Уязвимые версии: Kayako SupportSuite 3.20.02, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "sessionid" в сценарии visitor/index.php и в параметре "filter" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в поле "Full Name" при создании учетной записи, открытии билета и запроса чата. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "customfieldlinkid" в сценарии staff/index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: www.kayako.com/supportsuite.php

Решение: Установите последнюю версию 3.30.00 RC3 с сайта производителя.

или введите имя

CAPTCHA